qdel(1B)

NAME
qdel - delete pbs batch job

SYNOPSIS
qdel [-W delay] job_identifier ...

DESCRIPTION
The qdel command deletes jobs in the order in which their job identifiers are presented to the command. A job is deleted by sending a Delete Job batch request to the batch server that owns the job. A job that has been deleted is no longer subject to management by batch services.

A batch job may be deleted by its owner, the batch operator, or the batch administrator.

A batch job being deleted by a server will be sent a SIGTERM signal following by a SIGKILL signal. The time delay between the two signals is an attribute of the execution queue from which the job was run (settable by the administrator). This delay may be overridden by the option.

See the PBS ERS section 3.1.3.3, "Delete Job Request", for more information.

OPTIONS

-W delay
    Specify the delay between the sending of the SIGTERM and SIGKILL signals. The argument specifies a unsigned integer number of seconds.

OPERANDS
The qdel command accepts one or more operands of the form:

STANDARD ERROR
The qdel command will write a diagnostic messages to standard error for each error occurrence.

EXIT STATUS
Upon successful processing of all the operands presented to the the qdel command, the exit status will be a value of zero.

If the qdel command fails to process any operand, the command exits with a value greater than zero.

SEE ALSO
qsub(1B), qsig(1B), and pbs_deljob(3B)